Page MenuHomePhabricator

Delete a row from pagetriage_page on beta cluster
Closed, ResolvedPublic

Description

For context, see T234574: Enqueue: Don't allow enqueueing pages in unsupported namespaces

There is a row in pagetriage_page with an invalid namespace; I'm not sure if it will be removed automatically or if it should be done manually.

delete
DELETE FROM pagetriage_page WHERE ptrp_page_id = 194182;

Event Timeline

Restricted Application added projects: Growth-Team, User-DannyS712. · View Herald TranscriptOct 3 2019, 10:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 changed the task status from Open to Stalled.EditedOct 3 2019, 10:02 PM
DannyS712 moved this task from Unsorted to Page Curation on the User-DannyS712 board.

Please wait until after T234574: Enqueue: Don't allow enqueueing pages in unsupported namespaces is fixed to do this

Note: Generally, deleting a page would remove its metadata, but the function for onArticleDeleteComplete returns early if the namespace is unsupported, so that wouldn't work here

Marostegui added a subscriber: Marostegui.

DBAs do not maintain the beta cluster

DBAs do not maintain the beta cluster

Do you know who does?

I am not really sure - I have seen different people like @Krenair @Catrope or people from releng operating it, so maybe the can help with the proper tagging for this task.

DannyS712 changed the task status from Stalled to Open.Jul 7 2020, 3:51 AM

Forgot to unstall

DannyS712 claimed this task.Jul 7 2020, 3:53 AM
DannyS712 triaged this task as Low priority.

Mentioned in SAL (#wikimedia-releng) [2020-07-07T03:56:09Z] <DannyS712> beta cluster enwiki: ran DELETE FROM pagetriage_page WHERE ptrp_page_id = 194182 LIMIT 1; (T234577)

DannyS712 closed this task as Resolved.Jul 7 2020, 3:57 AM
MariaDB [enwiki]> SELECT * FROM pagetriage_page WHERE ptrp_page_id = 194182 LIMIT 1;
+--------------+---------------+--------------+----------------+-------------------+-----------------------+-----------------------+
| ptrp_page_id | ptrp_reviewed | ptrp_deleted | ptrp_created   | ptrp_tags_updated | ptrp_reviewed_updated | ptrp_last_reviewed_by |
+--------------+---------------+--------------+----------------+-------------------+-----------------------+-----------------------+
|       194182 |             0 |            0 | 20190303161443 | 20191003210459    | 20190822020602        |                     0 |
+--------------+---------------+--------------+----------------+-------------------+-----------------------+-----------------------+
1 row in set (0.00 sec)

MariaDB [enwiki]> DELETE FROM pagetriage_page WHERE ptrp_page_id = 194182 LIMIT 1;
Query OK, 1 row affected, 1 warning (0.00 sec)

MariaDB [enwiki]> SELECT * FROM pagetriage_page WHERE ptrp_page_id = 194182 LIMIT 1;
Empty set (0.00 sec)